<elements>
    <element type="BorderImage" >
        <attribute name="Texture" value="Texture2D;UI/CheckBox.png" />
        <attribute name="Blend Mode" value="alpha" />
        <attribute name="Image Rect" value="0 0 128 128" />
        <attribute name="Image Border" value="48 32 48 32" />
    </element>
    <element type="Button" style="BorderImage">
        <attribute name="Image Rect" value="0 0 128 128" />
        <attribute name="Border" value="35 0 35 0" />
        <attribute name="Image Border" value="48 0 48 0" />
        <attribute name="Pressed Image Offset" value="0 0" />
        <attribute name="Hover Image Offset" value="0 128" />
    </element>
    <element type="ToggledButton" style="Button" auto="false">
        <attribute name="Image Rect" value="160 64 176 80" />
    </element>
    <element type="CheckBox" style="BorderImage">
        <attribute name="Min Size" value="16 16" />
        <attribute name="Max Size" value="16 16" />
        <attribute name="Image Rect" value="80 0 96 16" />
        <attribute name="Border" value="4 4 4 4" />
        <attribute name="Checked Image Offset" value="16 0" />
        <attribute name="Hover Image Offset" value="0 16" />
    </element>
    <element type="CloseButton" style="Button" auto="false">    <!-- non-auto style is shown explicitly in the Editor's style drop down list for user selection -->
        <attribute name="Min Size" value="16 16" />
        <attribute name="Max Size" value="16 16" />
        <attribute name="Image Rect" value="144 0 160 16" />
        <attribute name="Focus Mode" value="NotFocusable" />
    </element>
    <element type="Cursor">
        <attribute name="Shapes">
            <variant type="VariantVector" >
                <variant type="String" value="Normal" />
                <variant type="ResourceRef" value="Image;UI/CheckBox.png" />
                <variant type="IntRect" value="0 0 12 24" />
                <variant type="IntVector2" value="0 0" />
            </variant>
            <variant type="VariantVector" >
                <variant type="String" value="ResizeVertical" />
                <variant type="ResourceRef" value="Image;UI/CheckBox.png" />
                <variant type="IntRect" value="0 64 20 84" />
                <variant type="IntVector2" value="9 9" />
            </variant>
            <variant type="VariantVector" >
                <variant type="String" value="ResizeDiagonalTopRight" />
                <variant type="ResourceRef" value="Image;UI/CheckBox.png" />
                <variant type="IntRect" value="20 64 40 84" />
                <variant type="IntVector2" value="9 9" />
            </variant>
            <variant type="VariantVector" >
                <variant type="String" value="ResizeHorizontal" />
                <variant type="ResourceRef" value="Image;UI/CheckBox.png" />
                <variant type="IntRect" value="40 64 60 84" />
                <variant type="IntVector2" value="9 9" />
            </variant>
            <variant type="VariantVector" >
                <variant type="String" value="ResizeDiagonalTopLeft" />
                <variant type="ResourceRef" value="Image;UI/CheckBox.png" />
                <variant type="IntRect" value="60 64 80 84" />
                <variant type="IntVector2" value="9 9" />
            </variant>
            <variant type="VariantVector" >
                <variant type="String" value="RejectDrop" />
                <variant type="ResourceRef" value="Image;UI/CheckBox.png" />
                <variant type="IntRect" value="80 64 100 84" />
                <variant type="IntVector2" value="9 9" />
            </variant>
            <variant type="VariantVector" >
                <variant type="String" value="AcceptDrop" />
                <variant type="ResourceRef" value="Image;UI/CheckBox.png" />
                <variant type="IntRect" value="100 64 128 90" />
                <variant type="IntVector2" value="0 0" />
            </variant>
            <variant type="VariantVector" >
                <variant type="String" value="Busy" />
                <variant type="ResourceRef" value="Image;UI/CheckBox.png" />
                <variant type="IntRect" value="128 64 148 85" />
                <variant type="IntVector2" value="9 9" />
            </variant>
        </attribute>
    </element>
    <element type="DropDownList" style="BorderImage">
        <attribute name="Image Rect" value="16 0 32 16" />
        <attribute name="Border" value="4 4 4 4" />
        <attribute name="Pressed Image Offset" value="16 0" />
        <attribute name="Hover Image Offset" value="0 16" />
        <attribute name="Pressed Child Offset" value="-1 1" />
        <attribute name="Layout Mode" value="Horizontal" />
        <attribute name="Layout Border" value="4 1 4 1" />
        <element internal="true">
            <element type="Text" internal="true" />
        </element>
        <element type="Window" internal="true" popup="true">
            <attribute name="Layout Border" value="2 4 2 4" />
            <element type="ListView" internal="true">
                <attribute name="Highlight Mode" value="Always" />
                <element type="BorderImage" internal="true">    <!-- Override scroll panel attributes from default ListView -->
                    <attribute name="Opacity" value="0" />
                    <attribute name="Clip Border" value="2 0 2 0" />
                </element>
            </element>
        </element>
    </element>
    <element type="LineEdit" style="BorderImage">
        <attribute name="Border" value="4 4 4 4" />
        <attribute name="Image Rect" value="64 0 80 16" />
        <attribute name="Hover Image Offset" value="0 16" />    <!-- Background color of the hover image IS the hover color of LineEdit -->
        <element type="Text" internal="true">
            <attribute name="Color" value="0.9 1 0.9 1" />
            <attribute name="Selection Color" value="0.3 0.4 0.32 1" />
            <attribute name="Vert Alignment" value="Center" />
        </element>
        <element type="BorderImage" internal="true">
            <attribute name="Size" value="4 16" />
            <attribute name="Priority" value="1" />
            <attribute name="Image Rect" value="12 0 16 16" />
            <attribute name="Vert Alignment" value="Center" />
        </element>
    </element>
    <element type="ListView" style="ScrollView">  <!-- Shortcut to copy all the styles from ScrollView -->
        <element type="BorderImage" internal="true">
            <element internal="true">
                <attribute name="Layout Mode" value="Vertical" />
            </element>
        </element>
    </element>
    <element type="HierarchyListView" style="ListView" auto="false">
        <attribute name="Hierarchy Mode" value="true" />
        <attribute name="Base Indent" value="1" />  <!-- Allocate space for overlay icon at the first level -->
        <element type="BorderImage" internal="true">
            <element type="HierarchyContainer" internal="true">
                <attribute name="Layout Mode" value="Vertical" />
            </element>
        </element>
    </element>
    <element type="HierarchyListViewOverlay" style="BorderImage">
        <attribute name="Min Size" value="16 16" />
        <attribute name="Max Size" value="16 16" />
        <attribute name="Image Rect" value="176 0 192 16" />
        <attribute name="Checked Image Offset" value="16 0" />
        <attribute name="Hover Image Offset" value="0 16" />
    </element>
    <element type="Menu" style="BorderImage">
        <attribute name="Image Rect" value="112 0 128 16" />
        <attribute name="Border" value="4 4 4 4" />
        <attribute name="Pressed Image Offset" value="16 0" />
        <attribute name="Hover Image Offset" value="0 16" />
    </element>
    <element type="ScrollBar">
        <attribute name="Min Size" value="16 16" />
        <attribute name="Left Image Rect" value="0 0 128 128" />
        <attribute name="Up Image Rect" value="0 0 128 128" />
        <attribute name="Right Image Rect" value="0 0 128 128" />
        <attribute name="Down Image Rect" value="0 0 128 128" />
        <element type="Button" internal="true">
            <attribute name="Size" value="16 16" />
            <attribute name="Border" value="4 4 4 4" />
            <attribute name="Pressed Image Offset" value="0 0" />
            <attribute name="Hover Image Offset" value="0 128" />
        </element>
        <element type="Slider" internal="true">
            <attribute name="Size" value="16 16" />
        </element>
        <element type="Button" internal="true">
            <attribute name="Size" value="16 16" />
            <attribute name="Border" value="2 2 2 2" />
            <attribute name="Pressed Image Offset" value="0 0" />
            <attribute name="Hover Image Offset" value="0 128" />
        </element>
    </element>
    <element type="ScrollView">
        <element type="ScrollBar" internal="true">
            <attribute name="Size" value="0 16" />
        </element>
        <element type="ScrollBar" internal="true">
            <attribute name="Size" value="16 0" />
        </element>
        <element type="BorderImage" internal="true">
            <attribute name="Image Rect" value="0 0 128 128" />
            <attribute name="Border" value="4 4 4 4" />
            <attribute name="Hover Image Offset" value="0 0" />
            <attribute name="Clip Border" value="2 3 2 3" />
        </element>
    </element>
    <element type="ProgressBar" style="BorderImage">
        <attribute name="Size" value="16 16" />
        <attribute name="Image Rect" value="48 0 64 16" />
        <attribute name="Border" value="4 4 4 4" />
        <element type="BorderImage" internal="true">
            <attribute name="Image Rect" value="16 0 32 16" />
            <attribute name="Border" value="4 4 4 4" />
            <attribute name="Hover Image Offset" value="0 16" />
        </element>
    </element>
    <element type="Slider" style="BorderImage">
        <attribute name="Size" value="16 16" />
        <element type="BorderImage" internal="true">
            <attribute name="Border" value="4 4 4 4" />
        </element>
    </element>
    <element type="Window" style="BorderImage">
        <attribute name="Image Rect" value="0 0 128 128" />
        <attribute name="Border" value="4 4 4 4" />
        <attribute name="Resize Border" value="8 8 8 8" />
    </element>
    <element type="DialogWindow" style="Window" auto="false">
        <attribute name="Is Movable" value="true" />
        <attribute name="Modal Shade Color" value="0.04 0.07 0.03 0.23" />
        <attribute name="Modal Frame Color" value="0.4 0.7 0.3 0.7" />
        <attribute name="Modal Frame Size" value="2 2" />
    </element>
    <element type="ListRow">
        <attribute name="Min Size" value="0 17" />
        <attribute name="Max Size" value="2147483647 17" />
        <attribute name="Layout Mode" value="Horizontal" />
    </element>
    <element type="PanelView" style="ListView" auto="false">    <!-- todo: rename this to PanelListView -->
        <element type="BorderImage" internal="true">
            <attribute name="Image Rect" value="48 16 64 32" />
            <attribute name="Hover Image Offset" value="80 32" />
            <element internal="true">
                <attribute name="Layout Spacing" value="4" />
                <attribute name="Layout Border" value="4 4 4 4" />
            </element>
        </element>
    </element>
    <element type="Panel" auto="false">
        <attribute name="Layout Mode" value="Vertical" />
        <attribute name="Layout Spacing" value="4" />
    </element>
    <element type="HorizontalPanel" auto="false">
        <attribute name="Layout Mode" value="Horizontal" />
        <attribute name="Layout Spacing" value="4" />
    </element>
    <element type="Text">
        <attribute name="Font" value="Font;Fonts/WhiteRabbitReloaded.ttf" />
        <attribute name="Font Size" value="11" />
        <attribute name="Color" value="0.85 0.85 0.85" />
    </element>
    <element type="DebugHudText" style="Text" auto="false">
        <attribute name="Text Effect" value="Shadow" />
    </element>
    <element type="ConsoleBackground" auto="false">
        <attribute name="Color" value="0.15 0.15 0.15 0.8" />
        <attribute name="Layout Border" value="4 4 4 4" />
    </element>
    <element type="ConsoleText" style="Text" auto="false">
        <attribute name="Hover Color" value="0.3 0.4 0.32 1" />
        <attribute name="Selection Color" value="0.23 0.3 0.27 1" />
    </element>
    <element type="ConsoleTraceText" style="ConsoleText" auto="false">
        <attribute name="Color" value="0.85 0.85 0.6 1" />
    </element>
    <element type="ConsoleTraceText" style="ConsoleText" auto="false">
        <attribute name="Color" value="0.5 0.5 0.5 1" />
    </element>
    <element type="ConsoleDebugText" style="ConsoleText" auto="false">
        <attribute name="Color" value="1 0.6 0 1" />
    </element>
    <element type="ConsoleInfoText" style="ConsoleText" auto="false">
        <attribute name="Color" value="0.85 0.85 0.85" />
    </element>
    <element type="ConsoleWarningText" style="ConsoleText" auto="false">
        <attribute name="Color" value="1 1 0 1" />
    </element>
    <element type="ConsoleErrorText" style="ConsoleText" auto="false">
        <attribute name="Color" value="1 0 0 1" />
    </element>
    <element type="ConsoleLineEdit" style="LineEdit" auto="false">
        <attribute name="Min Size" value="0 17" />
        <attribute name="Max Size" value="2147483647 17" />
        <element type="Text" internal="true">
            <attribute name="Selection Color" value="0.3 0.4 0.32 1" />
        </element>
    </element>
    <element type="FileSelector" style="DialogWindow" auto="false">
        <attribute name="Size" value="400 300" />
        <attribute name="Is Resizable" value="true" />
        <attribute name="Resize Border" value="6 6 6 6" />
        <attribute name="Layout Mode" value="vertical" />
        <attribute name="Layout Spacing" value="4" />
        <attribute name="Layout Border" value="6 6 6 6" />
    </element>
    <element type="FileSelectorButton" style="Button" auto="false">
        <attribute name="Min Size" value="80 17" />
        <attribute name="Max Size" value="80 17" />
    </element>
    <element type="FileSelectorButtonText" style="Text" auto="false" />
    <element type="FileSelectorListView" style="ListView" auto="false">
        <attribute name="Highlight Mode" value="Always" />
    </element>
    <element type="FileSelectorLineEdit" style="LineEdit" auto="false">
        <attribute name="Min Size" value="0 17" />
        <attribute name="Max Size" value="2147483647 17" />
    </element>
    <element type="FileSelectorFilterList" style="DropDownList" auto="false">
        <attribute name="Min Size" value="64 17" />
        <attribute name="Max Size" value="64 17" />
        <attribute name="Resize Popup" value="true" />
    </element>
    <element type="FileSelectorFilterText" style="Text" auto="false">
        <attribute name="Is Enabled" value="true" />
        <attribute name="Selection Color" value="0.23 0.3 0.27 1" />
        <attribute name="Hover Color" value="0.3 0.4 0.32 1" />
    </element>
    <element type="FileSelectorLayout" auto="false">
        <attribute name="Min Size" value="0 17" />
        <attribute name="Max Size" value="2147483647 17" />
        <attribute name="Layout Spacing" value="4" />
    </element>
    <element type="FileSelectorListText" style="Text" auto="false">
        <attribute name="Hover Color" value="0.3 0.4 0.32 1" />
        <attribute name="Selection Color" value="0.23 0.3 0.27 1" />
    </element>
    <element type="FileSelectorTitleText" style="Text" auto="false" />
    <element type="EditorDivider" style="BorderImage" auto="false">
        <attribute name="Image Rect" value="144 32 160 43" />
        <attribute name="Border" value="4 4 4 4" />
        <attribute name="Min Size" value="0 11" />
        <attribute name="Max Size" value="2147483647 11" />
    </element>
    <element type="EditorVerticalDivider" style="BorderImage" auto="false">
        <attribute name="Image Rect" value="144 48 155 64" />
        <attribute name="Border" value="4 4 4 4" />
        <attribute name="Min Size" value="11 0" />
        <attribute name="Max Size" value="11 2147483647" />
    </element>
    <element type="EditorDragSlider" style="BorderImage">
	    <attribute name="Image Rect" value="240 64 256 80" />
    </element>
    <element type="EditorSeparator" auto="false">
        <attribute name="Min Size" value="0 2" />
        <attribute name="Max Size" value="2147483647 2" />
    </element>
    <element type="EditorMenuBar" style="BorderImage" auto="false">
        <attribute name="Image Rect" value="112 0 128 16" />
        <attribute name="Border" value="4 4 4 4" />
    </element>
    <element type="EditorMenuText" style="Text" auto="false" />
    <element type="EditorAttributeText" auto="false">
        <attribute name="Font" value="Font;Fonts/WhiteRabbitReloaded.ttf" />
        <attribute name="Font Size" value="9" />
    </element>
    <element type="EditorEnumAttributeText" style="EditorAttributeText" auto="false">
        <attribute name="Is Enabled" value="true" />
        <attribute name="Selection Color" value="0.23 0.3 0.27 1" />
        <attribute name="Hover Color" value="0.3 0.4 0.32 1" />
    </element>
    <element type="EditorToolBar" style="BorderImage">
        <attribute name="Image Rect" value="48 0 64 16" />
        <attribute name="Border" value="4 4 4 4" />
    </element>
    <element type="ToolBarButton" style="Button">
        <attribute name="Min Size" value="34 34" />
        <attribute name="Max Size" value="34 34" />
        <attribute name="Layout Mode" value="Horizontal" />
        <attribute name="Layout Border" value="2 2 2 2" />
        <attribute name="Focus Mode" value="NotFocusable" />
    </element>
    <element type="ToolBarToggle" style="CheckBox">
        <attribute name="Min Size" value="34 34" />
        <attribute name="Max Size" value="34 34" />
        <attribute name="Image Rect" value="208 0 224 16" />
        <attribute name="Layout Mode" value="Horizontal" />
        <attribute name="Layout Border" value="2 2 2 2" />
        <attribute name="Focus Mode" value="NotFocusable" />
    </element>
    <element type="ToolBarToggleGroupLeft" style="ToolBarToggle">
        <attribute name="Image Rect" value="160 32 176 48" />
    </element>
    <element type="ToolBarToggleGroupMiddle" style="ToolBarToggle">
        <attribute name="Image Rect" value="192 32 208 48" />
    </element>
    <element type="ToolBarToggleGroupRight" style="ToolBarToggle">
        <attribute name="Image Rect" value="224 32 240 48" />
    </element>
    <element type="EditorAttributeEdit" style="LineEdit" auto="false" />
    <element type="ToolTipBorderImage" style="BorderImage">
        <attribute name="Layout Mode" value="Horizontal" />
        <attribute name="Layout Border" value="6 2 6 2" />
        <attribute name="Image Rect" value="48 0 64 16" />
        <attribute name="Border" value="4 4 4 4" />
    </element>
    <element type="ToolTipText" style="Text">
        <attribute name="Font" value="Font;Fonts/WhiteRabbitReloaded.ttf" />
        <attribute name="Font Size" value="9" />
    </element>
    <element type="ViewportBorder" style="BorderImage">
        <attribute name="Image Rect" value="50 5 51 6" />
        <attribute name="Border" value="0 0 0 0" />
    </element>
    <element type="TerrainEditorCheckbox" style="BorderImage">
        <attribute name="Image Rect" value="240 0 256 16" />
        <attribute name="Border" value="4 4 4 4" />
        <attribute name="Checked Image Offset" value="-112 48" />
        <attribute name="Min Size" value="34 34" />
        <attribute name="Max Size" value="34 34" />
    </element>
</elements>
